Chat support available. Click the chat icon on the bottom right corner to start chatting with us right away!

mSecure Support

Knowledge Base Forums Submit a ticket

How to update mSecure 5 on my MacBook

When I open up mSecure 5 on my MacBook it flags that I need to update to the current version, but gives no clue how to do this.  My iphone will not sync because it to gives an erro message to please update the MacBook version fo mScure5.  How is this done? 

Hi Matti,

Thank you for contacting us. You should be able to update your MacBook's mSecure app in the App Store app. The only reason that might not work is if you're running an older version of OS X. Can you first try opening the App Store app and seeing if there is an upgrade available for mSecure?

Mike:  While waiting for your reply I did finally figure out that I had to go to the App Store as you suggest, and I did find out that I could not use the older OSX on my MacBook.  I did use another computer with High Sierra to install the current version of mSecure and sync with my iPhone, so I am fine now.  It would have saved a lot of time and grief if instructions for doing this would have been made more readily available.  I did a lot of searching and finally had to figure out what to do on my own.  Sorry but I am not a computer geek.  At this point I am still keeping my old mSecure 4 version on my iPhone and MacBook, since I know how that works and will have a backup if I have any further difficulties with version 6.

Hi Matti,

We do have a non-production build that we have created for users with older versions of OS X. Would you like to get access to that for your MacBook?

Thanks Mike, but I don't need it now.   I am fine with what I have set up.

No problem at all Matti. Let me know if you need further assistance.


Login or Signup to post a comment